Bug 292553 - Amarok crashed when quitting while "fetching for missing covers" [@ CoverFetcher::~CoverFetcher]
Summary: Amarok crashed when quitting while "fetching for missing covers" [@ CoverFetc...
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Tools/Cover Manager (show other bugs)
Version: 2.5.90 (2.6 beta)
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: 2.6
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-27 06:56 UTC by Elez J. Shenhar
Modified: 2012-08-17 12:54 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.7


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Elez J. Shenhar 2012-01-27 06:56:03 UTC
Application: amarok (2.5.0)
KDE Platform Version: 4.8.00 (4.8.0
Qt Version: 4.7.4
Operating System: Linux 3.0.0-15-generic x86_64
Distribution: Ubuntu 11.10

-- Information about the crash:
I quit Amarok while it was fetching for missing covers using the Cover Manager. Amarok crashed.

The crash can be reproduced every time.

-- Backtrace:
Application: Amarok (amarok), signal: Segmentation fault
[Current thread is 1 (Thread 0x7ffcee61b7c0 (LWP 20659))]

Thread 23 (Thread 0x7ffcc4927700 (LWP 20664)):
#0  0x00007ffce7764034 in __pthread_mutex_lock (mutex=0x29ca688) at pthread_mutex_lock.c:61
#1  0x00007ffce5cbd414 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007ffceb8d2f3e in QEventDispatcherGlib::processEvents (this=0x29ca770, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#3  0x00007ffceb8a6cf2 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#4  0x00007ffceb8a6ef7 in QEventLoop::exec (this=0x7ffcc4926cd0, flags=...) at kernel/qeventloop.cpp:201
#5  0x00007ffceb7be27f in QThread::exec (this=<optimized out>) at thread/qthread.cpp:498
#6  0x00007ffceb889cbf in QInotifyFileSystemWatcherEngine::run (this=0x29c8340) at io/qfilesystemwatcher_inotify.cpp:248
#7  0x00007ffceb7c0d05 in QThreadPrivate::start (arg=0x29c8340) at thread/qthread_unix.cpp:331
#8  0x00007ffcdce7a56c in ?? () from /usr/lib/nvidia-current/libGL.so.1
#9  0x00007ffce7761efc in start_thread (arg=0x7ffcc4927700) at pthread_create.c:304
#10 0x00007ffceaf6089d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 22 (Thread 0x7ffcbde50700 (LWP 20665)):
#0  0x00007ffce77651fd in __pthread_mutex_unlock_usercnt (mutex=<optimized out>, decr=<optimized out>) at pthread_mutex_unlock.c:52
#1  __pthread_mutex_unlock (mutex=0x2c35168) at pthread_mutex_unlock.c:290
#2  0x00007ffce5cbc3f5 in g_main_context_query () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007ffce5cbce6a in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007ffce5cbd429 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007ffceb8d2f3e in QEventDispatcherGlib::processEvents (this=0x2c34d50, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#6  0x00007ffceb8a6cf2 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007ffceb8a6ef7 in QEventLoop::exec (this=0x7ffcbde4fd00, flags=...) at kernel/qeventloop.cpp:201
#8  0x00007ffceb7be27f in QThread::exec (this=<optimized out>) at thread/qthread.cpp:498
#9  0x00007ffceb7c0d05 in QThreadPrivate::start (arg=0x2c349e0) at thread/qthread_unix.cpp:331
#10 0x00007ffcdce7a56c in ?? () from /usr/lib/nvidia-current/libGL.so.1
#11 0x00007ffce7761efc in start_thread (arg=0x7ffcbde50700) at pthread_create.c:304
#12 0x00007ffceaf6089d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#13 0x0000000000000000 in ?? ()

Thread 21 (Thread 0x7ffcbc3cd700 (LWP 20667)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007ffceb7c11ab in wait (time=18446744073709551615, this=0x2c84700) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x2c84920, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007ffce8cf0864 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x2c84560, th=0x2c84e10) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007ffce8cf2e0b in ThreadWeaver::WorkingHardState::applyForWork (this=0x2c84a40, th=0x2c84e10) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007ffce8cf2e24 in ThreadWeaver::WorkingHardState::applyForWork (this=0x2c84a40, th=0x2c84e10) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007ffce8cf2e24 in ThreadWeaver::WorkingHardState::applyForWork (this=0x2c84a40, th=0x2c84e10) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#7  0x00007ffce8cf1ccf in ThreadWeaver::ThreadRunHelper::run (this=0x7ffcbc3ccd20, parent=0x2c84560, th=0x2c84e10) at ../../../threadweaver/Weaver/Thread.cpp:87
#8  0x00007ffce8cf1d5b in ThreadWeaver::Thread::run (this=0x2c84e10) at ../../../threadweaver/Weaver/Thread.cpp:142
#9  0x00007ffceb7c0d05 in QThreadPrivate::start (arg=0x2c84e10) at thread/qthread_unix.cpp:331
#10 0x00007ffcdce7a56c in ?? () from /usr/lib/nvidia-current/libGL.so.1
#11 0x00007ffce7761efc in start_thread (arg=0x7ffcbc3cd700) at pthread_create.c:304
#12 0x00007ffceaf6089d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#13 0x0000000000000000 in ?? ()

Thread 20 (Thread 0x7ffcb988e700 (LWP 20668)):
#0  0x00007ffce5cbd042 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007ffce5cbd429 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007ffceb8d2f3e in QEventDispatcherGlib::processEvents (this=0x2fdb6f0, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#3  0x00007ffceb8a6cf2 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#4  0x00007ffceb8a6ef7 in QEventLoop::exec (this=0x7ffcb988dcd0, flags=...) at kernel/qeventloop.cpp:201
#5  0x00007ffceb7be27f in QThread::exec (this=<optimized out>) at thread/qthread.cpp:498
#6  0x00007ffceb889cbf in QInotifyFileSystemWatcherEngine::run (this=0x2288db0) at io/qfilesystemwatcher_inotify.cpp:248
#7  0x00007ffceb7c0d05 in QThreadPrivate::start (arg=0x2288db0) at thread/qthread_unix.cpp:331
#8  0x00007ffcdce7a56c in ?? () from /usr/lib/nvidia-current/libGL.so.1
#9  0x00007ffce7761efc in start_thread (arg=0x7ffcb988e700) at pthread_create.c:304
#10 0x00007ffceaf6089d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 19 (Thread 0x7ffcb8c65700 (LWP 20669)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007ffceb7c11ab in wait (time=18446744073709551615, this=0x2c84700) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x2c84920, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007ffce8cf0864 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x2c84560, th=0x30e3aa0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007ffce8cf2e0b in ThreadWeaver::WorkingHardState::applyForWork (this=0x2c84a40, th=0x30e3aa0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007ffce8cf1ccf in ThreadWeaver::ThreadRunHelper::run (this=0x7ffcb8c64d20, parent=0x2c84560, th=0x30e3aa0) at ../../../threadweaver/Weaver/Thread.cpp:87
#6  0x00007ffce8cf1d5b in ThreadWeaver::Thread::run (this=0x30e3aa0) at ../../../threadweaver/Weaver/Thread.cpp:142
#7  0x00007ffceb7c0d05 in QThreadPrivate::start (arg=0x30e3aa0) at thread/qthread_unix.cpp:331
#8  0x00007ffcdce7a56c in ?? () from /usr/lib/nvidia-current/libGL.so.1
#9  0x00007ffce7761efc in start_thread (arg=0x7ffcb8c65700) at pthread_create.c:304
#10 0x00007ffceaf6089d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 18 (Thread 0x7ffcb3fff700 (LWP 20670)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007ffceb7c11ab in wait (time=18446744073709551615, this=0x2c84700) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x2c84920, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007ffce8cf0864 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x2c84560, th=0x7ffcc80c1170) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007ffce8cf2e0b in ThreadWeaver::WorkingHardState::applyForWork (this=0x2c84a40, th=0x7ffcc80c1170) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007ffce8cf2e24 in ThreadWeaver::WorkingHardState::applyForWork (this=0x2c84a40, th=0x7ffcc80c1170) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007ffce8cf2e24 in ThreadWeaver::WorkingHardState::applyForWork (this=0x2c84a40, th=0x7ffcc80c1170) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#7  0x00007ffce8cf2e24 in ThreadWeaver::WorkingHardState::applyForWork (this=0x2c84a40, th=0x7ffcc80c1170) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#8  0x00007ffce8cf1ccf in ThreadWeaver::ThreadRunHelper::run (this=0x7ffcb3ffed20, parent=0x2c84560, th=0x7ffcc80c1170) at ../../../threadweaver/Weaver/Thread.cpp:87
#9  0x00007ffce8cf1d5b in ThreadWeaver::Thread::run (this=0x7ffcc80c1170) at ../../../threadweaver/Weaver/Thread.cpp:142
#10 0x00007ffceb7c0d05 in QThreadPrivate::start (arg=0x7ffcc80c1170) at thread/qthread_unix.cpp:331
#11 0x00007ffcdce7a56c in ?? () from /usr/lib/nvidia-current/libGL.so.1
#12 0x00007ffce7761efc in start_thread (arg=0x7ffcb3fff700) at pthread_create.c:304
#13 0x00007ffceaf6089d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#14 0x0000000000000000 in ?? ()

Thread 17 (Thread 0x7ffcb37fe700 (LWP 20671)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007ffceb7c11ab in wait (time=18446744073709551615, this=0x2c84700) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x2c84920, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007ffce8cf0864 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x2c84560, th=0x308c5e0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007ffce8cf2e0b in ThreadWeaver::WorkingHardState::applyForWork (this=0x2c84a40, th=0x308c5e0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007ffce8cf2e24 in ThreadWeaver::WorkingHardState::applyForWork (this=0x2c84a40, th=0x308c5e0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007ffce8cf1ccf in ThreadWeaver::ThreadRunHelper::run (this=0x7ffcb37fdd20, parent=0x2c84560, th=0x308c5e0) at ../../../threadweaver/Weaver/Thread.cpp:87
#7  0x00007ffce8cf1d5b in ThreadWeaver::Thread::run (this=0x308c5e0) at ../../../threadweaver/Weaver/Thread.cpp:142
#8  0x00007ffceb7c0d05 in QThreadPrivate::start (arg=0x308c5e0) at thread/qthread_unix.cpp:331
#9  0x00007ffcdce7a56c in ?? () from /usr/lib/nvidia-current/libGL.so.1
#10 0x00007ffce7761efc in start_thread (arg=0x7ffcb37fe700) at pthread_create.c:304
#11 0x00007ffceaf6089d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 16 (Thread 0x7ffcb2de0700 (LWP 20672)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007ffce2715c2c in ?? () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4
#2  0x00007ffce2715d59 in ?? () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4
#3  0x00007ffcdce7a56c in ?? () from /usr/lib/nvidia-current/libGL.so.1
#4  0x00007ffce7761efc in start_thread (arg=0x7ffcb2de0700) at pthread_create.c:304
#5  0x00007ffceaf6089d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#6  0x0000000000000000 in ?? ()

Thread 15 (Thread 0x7ffcb1ac9700 (LWP 20676)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007ffce7d3dfe2 in ?? () from /usr/lib/x86_64-linux-gnu/libQtScript.so.4
#2  0x00007ffce7d3e019 in ?? () from /usr/lib/x86_64-linux-gnu/libQtScript.so.4
#3  0x00007ffcdce7a56c in ?? () from /usr/lib/nvidia-current/libGL.so.1
#4  0x00007ffce7761efc in start_thread (arg=0x7ffcb1ac9700) at pthread_create.c:304
#5  0x00007ffceaf6089d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#6  0x0000000000000000 in ?? ()

Thread 14 (Thread 0x7ffca8891700 (LWP 20696)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007ffceb7c11ab in wait (time=18446744073709551615, this=0x420f840) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x420f3f8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007ffcec798894 in QFileInfoGatherer::run (this=0x420f3e8) at dialogs/qfileinfogatherer.cpp:214
#4  0x00007ffceb7c0d05 in QThreadPrivate::start (arg=0x420f3e8) at thread/qthread_unix.cpp:331
#5  0x00007ffcdce7a56c in ?? () from /usr/lib/nvidia-current/libGL.so.1
#6  0x00007ffce7761efc in start_thread (arg=0x7ffca8891700) at pthread_create.c:304
#7  0x00007ffceaf6089d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#8  0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7ffca8090700 (LWP 20697)):
#0  0x00007ffceaf54773 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007ffce5cbcf68 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007ffce5cbd429 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007ffceb8d2f3e in QEventDispatcherGlib::processEvents (this=0x42136c0, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#4  0x00007ffceb8a6cf2 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007ffceb8a6ef7 in QEventLoop::exec (this=0x7ffca808fcd0, flags=...) at kernel/qeventloop.cpp:201
#6  0x00007ffceb7be27f in QThread::exec (this=<optimized out>) at thread/qthread.cpp:498
#7  0x00007ffceb889cbf in QInotifyFileSystemWatcherEngine::run (this=0x420eb50) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007ffceb7c0d05 in QThreadPrivate::start (arg=0x420eb50) at thread/qthread_unix.cpp:331
#9  0x00007ffcdce7a56c in ?? () from /usr/lib/nvidia-current/libGL.so.1
#10 0x00007ffce7761efc in start_thread (arg=0x7ffca8090700) at pthread_create.c:304
#11 0x00007ffceaf6089d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7ffcbcfd8700 (LWP 20748)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007ffceb7c11ab in wait (time=18446744073709551615, this=0x43405a0) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x43243f8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007ffcec798894 in QFileInfoGatherer::run (this=0x43243e8) at dialogs/qfileinfogatherer.cpp:214
#4  0x00007ffceb7c0d05 in QThreadPrivate::start (arg=0x43243e8) at thread/qthread_unix.cpp:331
#5  0x00007ffcdce7a56c in ?? () from /usr/lib/nvidia-current/libGL.so.1
#6  0x00007ffce7761efc in start_thread (arg=0x7ffcbcfd8700) at pthread_create.c:304
#7  0x00007ffceaf6089d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#8  0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7ffca705b700 (LWP 20749)):
#0  0x00007ffceaf54773 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007ffce5cbcf68 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007ffce5cbd429 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007ffceb8d2f3e in QEventDispatcherGlib::processEvents (this=0x48b76e0, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#4  0x00007ffceb8a6cf2 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007ffceb8a6ef7 in QEventLoop::exec (this=0x7ffca705acd0, flags=...) at kernel/qeventloop.cpp:201
#6  0x00007ffceb7be27f in QThread::exec (this=<optimized out>) at thread/qthread.cpp:498
#7  0x00007ffceb889cbf in QInotifyFileSystemWatcherEngine::run (this=0x48c9eb0) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007ffceb7c0d05 in QThreadPrivate::start (arg=0x48c9eb0) at thread/qthread_unix.cpp:331
#9  0x00007ffcdce7a56c in ?? () from /usr/lib/nvidia-current/libGL.so.1
#10 0x00007ffce7761efc in start_thread (arg=0x7ffca705b700) at pthread_create.c:304
#11 0x00007ffceaf6089d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7ffca685a700 (LWP 20778)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007ffceb7c11ab in wait (time=18446744073709551615, this=0x4e01180) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x432ab18, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007ffcec798894 in QFileInfoGatherer::run (this=0x432ab08) at dialogs/qfileinfogatherer.cpp:214
#4  0x00007ffceb7c0d05 in QThreadPrivate::start (arg=0x432ab08) at thread/qthread_unix.cpp:331
#5  0x00007ffcdce7a56c in ?? () from /usr/lib/nvidia-current/libGL.so.1
#6  0x00007ffce7761efc in start_thread (arg=0x7ffca685a700) at pthread_create.c:304
#7  0x00007ffceaf6089d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#8  0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7ffca6059700 (LWP 20779)):
#0  0xffffffffff600140 in ?? ()
#1  0x00007fffcf19c7e7 in ?? ()
#2  0x00007ffce44ee07b in __GI_clock_gettime (clock_id=1, tp=0x7ffca6058a40) at ../sysdeps/unix/clock_gettime.c:100
#3  0x00007ffceb811074 in do_gettime (frac=0x7ffca6058a58, sec=0x7ffca6058a50) at tools/qelapsedtimer_unix.cpp:123
#4  qt_gettime () at tools/qelapsedtimer_unix.cpp:140
#5  0x00007ffceb8d36ed in QTimerInfoList::updateCurrentTime (this=0x45e52b0) at kernel/qeventdispatcher_unix.cpp:339
#6  0x00007ffceb8d3a33 in QTimerInfoList::timerWait (this=0x45e52b0, tm=...) at kernel/qeventdispatcher_unix.cpp:442
#7  0x00007ffceb8d244c in timerSourcePrepareHelper (src=<optimized out>, timeout=0x7ffca6058b3c) at kernel/qeventdispatcher_glib.cpp:136
#8  0x00007ffceb8d24f5 in timerSourcePrepare (source=<optimized out>, timeout=<optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#9  0x00007ffce5cbbff2 in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#10 0x00007ffce5cbcdfd in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#11 0x00007ffce5cbd429 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#12 0x00007ffceb8d2f3e in QEventDispatcherGlib::processEvents (this=0x4708b30, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#13 0x00007ffceb8a6cf2 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#14 0x00007ffceb8a6ef7 in QEventLoop::exec (this=0x7ffca6058cd0, flags=...) at kernel/qeventloop.cpp:201
#15 0x00007ffceb7be27f in QThread::exec (this=<optimized out>) at thread/qthread.cpp:498
#16 0x00007ffceb889cbf in QInotifyFileSystemWatcherEngine::run (this=0x2d865a0) at io/qfilesystemwatcher_inotify.cpp:248
#17 0x00007ffceb7c0d05 in QThreadPrivate::start (arg=0x2d865a0) at thread/qthread_unix.cpp:331
#18 0x00007ffcdce7a56c in ?? () from /usr/lib/nvidia-current/libGL.so.1
#19 0x00007ffce7761efc in start_thread (arg=0x7ffca6059700) at pthread_create.c:304
#20 0x00007ffceaf6089d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#21 0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7ffca51f1700 (LWP 21035)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007ffccc4ca7dd in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#2  0x00007ffcdd9e4e0a in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#3  0x00007ffcdd9e4e0a in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#4  0x00007ffccc4d564f in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#5  0x00007ffcdd9e4e0a in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#6  0x00007ffcdd9e4e0a in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#7  0x00007ffcddc9ae87 in ?? () from /usr/lib/libgstbase-0.10.so.0
#8  0x00007ffcdd9e4e0a in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#9  0x00007ffcddc9ae87 in ?? () from /usr/lib/libgstbase-0.10.so.0
#10 0x00007ffcdd9e4e0a in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#11 0x00007ffccc4cb6ea in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#12 0x00007ffcdda0b064 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#13 0x00007ffce5ce47d8 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#14 0x00007ffce5ce22b6 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#15 0x00007ffcdce7a56c in ?? () from /usr/lib/nvidia-current/libGL.so.1
#16 0x00007ffce7761efc in start_thread (arg=0x7ffca51f1700) at pthread_create.c:304
#17 0x00007ffceaf6089d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#18 0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7ffca49f0700 (LWP 21036)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007ffccc4ca7dd in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#2  0x00007ffcdd9e4e0a in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#3  0x00007ffcdd9e4e0a in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#4  0x00007ffccc4d5200 in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#5  0x00007ffccc4d564f in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#6  0x00007ffcdd9e4e0a in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#7  0x00007ffccc4cb6ea in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#8  0x00007ffcdda0b064 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#9  0x00007ffce5ce47d8 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#10 0x00007ffce5ce22b6 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#11 0x00007ffcdce7a56c in ?? () from /usr/lib/nvidia-current/libGL.so.1
#12 0x00007ffce7761efc in start_thread (arg=0x7ffca49f0700) at pthread_create.c:304
#13 0x00007ffceaf6089d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#14 0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7ffca3fdf700 (LWP 21037)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007ffcddca5518 in gst_data_queue_push () from /usr/lib/libgstbase-0.10.so.0
#2  0x00007ffccc4c6334 in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#3  0x00007ffcdd9e4e0a in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#4  0x00007ffca542431e in ?? () from /usr/lib/gstreamer-0.10/libgstogg.so
#5  0x00007ffca5427d6f in ?? () from /usr/lib/gstreamer-0.10/libgstogg.so
#6  0x00007ffca5428b02 in ?? () from /usr/lib/gstreamer-0.10/libgstogg.so
#7  0x00007ffca542b60d in ?? () from /usr/lib/gstreamer-0.10/libgstogg.so
#8  0x00007ffca542bb3a in ?? () from /usr/lib/gstreamer-0.10/libgstogg.so
#9  0x00007ffcdda0b064 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#10 0x00007ffce5ce47d8 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#11 0x00007ffce5ce22b6 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#12 0x00007ffcdce7a56c in ?? () from /usr/lib/nvidia-current/libGL.so.1
#13 0x00007ffce7761efc in start_thread (arg=0x7ffca3fdf700) at pthread_create.c:304
#14 0x00007ffceaf6089d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#15 0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7ffca37de700 (LWP 21038)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007ffccc4ca7dd in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#2  0x00007ffcdd9e4e0a in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#3  0x00007ffcdd9e4e0a in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#4  0x00007ffcdd9e4e0a in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#5  0x00007ffca3fe54fd in ?? () from /usr/lib/gstreamer-0.10/libgstvorbis.so
#6  0x00007ffca3fe6643 in ?? () from /usr/lib/gstreamer-0.10/libgstvorbis.so
#7  0x00007ffcdd9e4e0a in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#8  0x00007ffccc4c6d30 in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#9  0x00007ffcdda0b064 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#10 0x00007ffce5ce47d8 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#11 0x00007ffce5ce22b6 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#12 0x00007ffcdce7a56c in ?? () from /usr/lib/nvidia-current/libGL.so.1
#13 0x00007ffce7761efc in start_thread (arg=0x7ffca37de700) at pthread_create.c:304
#14 0x00007ffceaf6089d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#15 0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7ffca2fdd700 (LWP 21039)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007ffcddc891cf in gst_base_sink_wait_preroll () from /usr/lib/libgstbase-0.10.so.0
#2  0x00007ffcddc8934d in gst_base_sink_do_preroll () from /usr/lib/libgstbase-0.10.so.0
#3  0x00007ffcddc8b18b in ?? () from /usr/lib/libgstbase-0.10.so.0
#4  0x00007ffcddc8d3df in ?? () from /usr/lib/libgstbase-0.10.so.0
#5  0x00007ffcddc8d737 in ?? () from /usr/lib/libgstbase-0.10.so.0
#6  0x00007ffcddc8db1f in ?? () from /usr/lib/libgstbase-0.10.so.0
#7  0x00007ffcdd9e1452 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#8  0x00007ffcdd9e4cf6 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#9  0x00007ffcddc9ae87 in ?? () from /usr/lib/libgstbase-0.10.so.0
#10 0x00007ffcdd9e1452 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#11 0x00007ffcdd9e4cf6 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#12 0x00007ffcddc9ae87 in ?? () from /usr/lib/libgstbase-0.10.so.0
#13 0x00007ffcdd9e1452 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#14 0x00007ffcdd9e4cf6 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#15 0x00007ffcddc9ae87 in ?? () from /usr/lib/libgstbase-0.10.so.0
#16 0x00007ffcdd9e1452 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#17 0x00007ffcdd9e4cf6 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#18 0x00007ffccc4cb6ea in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#19 0x00007ffcdda0b064 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#20 0x00007ffce5ce47d8 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#21 0x00007ffce5ce22b6 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#22 0x00007ffcdce7a56c in ?? () from /usr/lib/nvidia-current/libGL.so.1
#23 0x00007ffce7761efc in start_thread (arg=0x7ffca2fdd700) at pthread_create.c:304
#24 0x00007ffceaf6089d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#25 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7ffca27dc700 (LWP 21040)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007ffcddc891cf in gst_base_sink_wait_preroll () from /usr/lib/libgstbase-0.10.so.0
#2  0x00007ffcddc8934d in gst_base_sink_do_preroll () from /usr/lib/libgstbase-0.10.so.0
#3  0x00007ffcddc8b18b in ?? () from /usr/lib/libgstbase-0.10.so.0
#4  0x00007ffcddc8d3df in ?? () from /usr/lib/libgstbase-0.10.so.0
#5  0x00007ffcddc8d737 in ?? () from /usr/lib/libgstbase-0.10.so.0
#6  0x00007ffcddc8db1f in ?? () from /usr/lib/libgstbase-0.10.so.0
#7  0x00007ffcdd9e1452 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#8  0x00007ffcdd9e4cf6 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#9  0x00007ffcddc9ae87 in ?? () from /usr/lib/libgstbase-0.10.so.0
#10 0x00007ffcdd9e1452 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#11 0x00007ffcdd9e4cf6 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#12 0x00007ffcddc9ae87 in ?? () from /usr/lib/libgstbase-0.10.so.0
#13 0x00007ffcdd9e1452 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#14 0x00007ffcdd9e4cf6 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#15 0x00007ffccc4cb6ea in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#16 0x00007ffcdda0b064 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#17 0x00007ffce5ce47d8 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#18 0x00007ffce5ce22b6 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#19 0x00007ffcdce7a56c in ?? () from /usr/lib/nvidia-current/libGL.so.1
#20 0x00007ffce7761efc in start_thread (arg=0x7ffca27dc700) at pthread_create.c:304
#21 0x00007ffceaf6089d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#22 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7ffccd583700 (LWP 21086)):
#0  0x00007ffceaf54773 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007ffce332503f in ?? () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
#2  0x00007ffce331645c in pa_mainloop_poll () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
#3  0x00007ffce3316ac9 in pa_mainloop_iterate () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
#4  0x00007ffce3316b80 in pa_mainloop_run () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
#5  0x00007ffce3324fef in ?? () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
#6  0x00007ffcde9e4c78 in ?? () from /usr/lib/x86_64-linux-gnu/libpulsecommon-1.0.so
#7  0x00007ffcdce7a56c in ?? () from /usr/lib/nvidia-current/libGL.so.1
#8  0x00007ffce7761efc in start_thread (arg=0x7ffccd583700) at pthread_create.c:304
#9  0x00007ffceaf6089d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7ffcee61b7c0 (LWP 20659)):
[KCrash Handler]
#6  0x00007ffcec2d4d2a in QLayout::removeWidget (this=0x615640, widget=0x3f5f340) at kernel/qlayout.cpp:1455
#7  0x00007ffced5b950f in CompoundProgressBar::childBarFinished (this=0x4fa8700, bar=0x3f5f340) at ../../src/statusbar/CompoundProgressBar.cpp:175
#8  0x00007ffced243ea4 in CompoundProgressBar::qt_metacall (this=0x4fa8700, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fffcf0b95b0) at moc_CompoundProgressBar.cpp:96
#9  0x00007ffceb8baeba in QMetaObject::activate (sender=0x3453350, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fffcf0b95b0) at kernel/qobject.cpp:3278
#10 0x00007ffceb8bb36f in QObject::destroyed (this=<optimized out>, _t1=0x3453350) at .moc/release-shared/moc_qobject.cpp:149
#11 0x00007ffceb8beef7 in QObject::~QObject (this=0x3453350, __in_chrg=<optimized out>) at kernel/qobject.cpp:843
#12 0x00007ffced6716f9 in CoverFetcher::~CoverFetcher (this=0x3453350, __in_chrg=<optimized out>) at ../../src/covermanager/CoverFetcher.cpp:76
#13 0x00007ffced670366 in CoverFetcher::destroy () at ../../src/covermanager/CoverFetcher.cpp:52
#14 0x00007ffced60a635 in App::~App (this=0x7fffcf0b9790, __in_chrg=<optimized out>) at ../../src/App.cpp:246
#15 0x0000000000408e3a in main (argc=1, argv=0x7fffcf0bbc18) at ../../src/main.cpp:301

Reported using DrKonqi
Comment 1 Myriam Schweingruber 2012-01-27 07:19:12 UTC
Do you have any non-standard configuration? I can't reproduce this here at all:
- Start Cover Manager
- Download missing covers
- Quit Amarok while the cover manager is still working

I see no crash, no matter how often I tried, using Amarok 2.5-git with KDE 4.8, Qt 4.7.4 on Kubuntu 11.10. Collection is on an external USB hard disk used as the main collection.

Your crash appears to be in CompoundProgressBar::childBarFinished, could you please remove the amarok* configuration files in $HOME/.kde/share/config/ and try again?
Comment 2 Elez J. Shenhar 2012-01-27 08:06:39 UTC
I removed the Amarok config files, and still reproduced it in the same scenario.
I tried again, this time removing not only the config files but also the $HOME/.kde/share/apps/amarok/ folder as well - still reproduced.

I tried, in "Select your Amazon locale", to select United States, and I also tried United Kingdom - same crash.

My music is stored in an internal HD (not the one used for $HOME) with a single ext4 partition.

I noticed that Amarok does NOT crash if I do the following:
1. Select all covers in cover manager by clicking some cover, then pressing Ctrl-A
2. Right-click some cover and select "Fetch Covers"
3. Quit Amarok

So it only crashes when I fetch covers using the button "Fetch Missing Covers".

"Fetch Missing Covers" probably opens one large task, where "Fetch Covers" opens many small tasks, I'm guessing. That's probably the difference.
Comment 3 Myriam Schweingruber 2012-01-27 13:10:46 UTC
Thank you for the fast feedback. I still can't reproduce it here, somebody else maybe?
Comment 4 Daniel Faust 2012-04-20 21:12:35 UTC
I can reproduce it (the way Myriam described it in comment #1).
And I get the same backtrace as Elez.
Comment 5 Emilio 2012-06-01 17:31:04 UTC
I can reproduce it with Amarok 2.6 beta
Comment 6 Ralf Engels 2012-08-17 12:54:03 UTC
Git commit 2b20b48c7bb67e74c4d1d1a964b9d1006a5356bb by Ralf Engels.
Committed on 09/08/2012 at 12:00.
Pushed by rengels into branch 'master'.

Fix crash when closing Amarok with running CoverFetcher

childBarFinished was called with invalid m_progressDetailsWidget
However also the m_progressMap needs protection. The CompoundProgressBar
needs to be thread safe.

Tests: Change is verified by me to fix the problem.
REVIEW: 105942
FIXED-IN: 2.7

M  +28   -0    src/statusbar/CompoundProgressBar.cpp
M  +2    -0    src/statusbar/CompoundProgressBar.h

http://commits.kde.org/amarok/2b20b48c7bb67e74c4d1d1a964b9d1006a5356bb